Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QSettings.Format

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QSettings.Format

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QSettings

    public static final class QSettings.Format

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QSettings.Format` | `CustomFormat1`
`static QSettings.Format` | `CustomFormat10`
`static QSettings.Format` | `CustomFormat11`
`static QSettings.Format` | `CustomFormat12`
`static QSettings.Format` | `CustomFormat13`
`static QSettings.Format` | `CustomFormat14`
`static QSettings.Format` | `CustomFormat15`
`static QSettings.Format` | `CustomFormat16`
`static QSettings.Format` | `CustomFormat2`
`static QSettings.Format` | `CustomFormat3`
`static QSettings.Format` | `CustomFormat4`
`static QSettings.Format` | `CustomFormat5`
`static QSettings.Format` | `CustomFormat6`
`static QSettings.Format` | `CustomFormat7`
`static QSettings.Format` | `CustomFormat8`
`static QSettings.Format` | `CustomFormat9`
`static QSettings.Format` | `IniFormat`
`static QSettings.Format` | `InvalidFormat`
`static QSettings.Format` | `NativeFormat`

Method Summary
`static QSettings.Format` | `resolve(int value)` Returns the Format constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSettings.Format` | `valueOf(java.lang.String name)`
`static QSettings.Format[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NativeFormat

    public static final QSettings.Format NativeFormat

### IniFormat

    public static final QSettings.Format IniFormat

### InvalidFormat

    public static final QSettings.Format InvalidFormat

### CustomFormat1

    public static final QSettings.Format CustomFormat1

### CustomFormat2

    public static final QSettings.Format CustomFormat2

### CustomFormat3

    public static final QSettings.Format CustomFormat3

### CustomFormat4

    public static final QSettings.Format CustomFormat4

### CustomFormat5

    public static final QSettings.Format CustomFormat5

### CustomFormat6

    public static final QSettings.Format CustomFormat6

### CustomFormat7

    public static final QSettings.Format CustomFormat7

### CustomFormat8

    public static final QSettings.Format CustomFormat8

### CustomFormat9

    public static final QSettings.Format CustomFormat9

### CustomFormat10

    public static final QSettings.Format CustomFormat10

### CustomFormat11

    public static final QSettings.Format CustomFormat11

### CustomFormat12

    public static final QSettings.Format CustomFormat12

### CustomFormat13

    public static final QSettings.Format CustomFormat13

### CustomFormat14

    public static final QSettings.Format CustomFormat14

### CustomFormat15

    public static final QSettings.Format CustomFormat15

### CustomFormat16

    public static final QSettings.Format CustomFormat16

Method Detail

### values

    public static QSettings.Format[] values()

### valueOf

    public static QSettings.Format valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSettings.Format resolve(int value)

  Returns the Format constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD